Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

Create Point of Sale

POST
/public/api/v1/management/point-of-sales

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Example:
{ "name": "Store #42", "domain": "example.com", "webhookAuthentication": "Bearer super-secret-token" }
namestring
Required
Length:
1 <= length <= 255
domainstring
Required
Length:
length <= 1024
webhookAuthenticationstring
Required
Length:
1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/management/point-of-sales" \  -H "Content-Type: application/json" \  -d '{    "name": "Store #42",    "domain": "example.com",    "webhookAuthentication": "Bearer super-secret-token"  }'
{  "pointOfSale": {    "id": "0192473a-e381-705c-b61c-fc2ac9624afc",    "name": "Store #42",    "descriptor": "POS Copenhagen",    "createdAt": "2024-10-01T10:38:14.658688472+02:00",    "updatedAt": "2024-10-01T12:38:14.658688472+02:00"  },  "hostedConfiguration": {    "instantCapture": "OFF",    "scaMode": "SKIP",    "timeout": 60,    "notificationUrl": "https://example.com/notification",    "successUrl": "https://example.com/success",    "failureUrl": "https://example.com/failure",    "retryUrl": null,    "maxAttempts": 10,    "processor": [      "shift4",      "nets"    ],    "exemptions": [      "TRA",      "LVT"    ],    "reportFailure": false  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}